import machine
import kooka

message = None

kooka.radio.enable()


kooka.display.print('Ready to receive', show=0)

kooka.display.show()

while True:
    global radio_data
    radio_data = kooka.radio.receive()
    if radio_data:
        message = radio_data
        if message == 'R':
            kooka.led_red.toggle()
        elif message == 'G':
            kooka.led_green.toggle()
        elif message == 'Y':
            kooka.led_orange.toggle()
        kooka.display.print('Message was ', message, show=0)
    kooka.display.show()
    machine.idle()

# Generated Blockly XML follows
# <xml xmlns="https://developers.google.com/blockly/xml"><variables><variable id="1ebxnZj^yJrddEqvVi_C">message</variable></variables><block type="display_print" id="umiA#D5s``#Vr=]:WScj" x="-50" y="-150"><value name="VALUE"><shadow type="text" id="r$EZ9Ew3#+KRv`(Nm~V."><field name="TEXT">Ready to receive</field></shadow></value></block><block type="event_radio_receive" id="P|luw{]51wT01Q|?UEEV" x="-50" y="-110"><statement name="DO"><block type="variables_set" id="(wuo:hJechYaI7HLYBXw"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field><value name="VALUE"><block type="radio_receive" id="KE_2_]l|iBn*N8(Glif~"/></value><next><block type="controls_if" id="r:~QNYdk]dibIo-z[A4b"><mutation elseif="2"/><value name="IF0"><block type="logic_compare" id="RF.UTP/bz9vC8-,l|fC="><field name="OP">EQ</field><value name="A"><block type="variables_get" id="3rN|oT*OZsq;uoveO:|6"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field></block></value><value name="B"><block type="text" id="jj)OoOZVR{-BoneuBItu"><field name="TEXT">R</field></block></value></block></value><statement name="DO0"><block type="led_toggle" id=",$PlHR?%JWJgDajEwOug"><field name="LED">led_red</field></block></statement><value name="IF1"><block type="logic_compare" id="KzYAOJ:|qX-#Y1GdEetv"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="[](`evIpaco{qPiSOmC{"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field></block></value><value name="B"><block type="text" id="WTI(/MxlcbG3$X8*Ipp^"><field name="TEXT">G</field></block></value></block></value><statement name="DO1"><block type="led_toggle" id="FT#]/OvL@sEwg$Q-IvXW"><field name="LED">led_green</field></block></statement><value name="IF2"><block type="logic_compare" id="W`CU`!^,arJX@`mES]d?"><field name="OP">EQ</field><value name="A"><block type="variables_get" id="t~M;44(,@!XIbkI5?8kN"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field></block></value><value name="B"><block type="text" id="0^K{8x1ffS@0q-S^I+r8"><field name="TEXT">Y</field></block></value></block></value><statement name="DO2"><block type="led_toggle" id="h?[hC=OrE)T6`!RWUU!6"><field name="LED">led_orange</field></block></statement><next><block type="display_print2" id="N)XBgh,f7_)g5qwG|YzL"><value name="VALUE1"><shadow type="text" id="h~UfBhoUv.z|3oVyG~}~"><field name="TEXT">Message was </field></shadow></value><value name="VALUE2"><shadow type="math_number" id="2?)zU4pz`xSU(LFh.=!#"><field name="NUM">123</field></shadow><block type="variables_get" id="akr~g2M2`AgkRGMo$HLw"><field name="VAR" id="1ebxnZj^yJrddEqvVi_C">message</field></block></value></block></next></block></next></block></statement></block></xml>
